<?php

$tip = array (
	 0 => "SELECT version()<br />- returns the mysql server version",
	 1 => "SELECT current_date, current_time<br />- returns current date and time",
	 2 => "SELECT 1 + 1<br />- mysql can be also used as the calculator (and it can do more math than just 1+1)",
	 3 => "SHOW STATUS<br />- displays current status of the mysql server",
	 4 => "SHOW VARIABLES<br />- displays the mysql server settings",
	 5 => "SELECT now()<br />- returns system date and time",
	 6 => "SELECT user()<br />- returns id of the currently logged-in user",
	 7 => "SHOW CREATE TABLE 'table'<br />- returns the SQL command, which creates this table",
	 8 => "SHOW DATABASES<br />- displays the databases stored on the server",
	 9 => "SHOW TABLES<br />- displays tables stored in the database",
	10 => "WHERE datum >= \"1991-1-1\"<br />- when you use the DATE type, you can use this type of relation ",
	11 => "SELECT DISTINCT 'column' FROM 'table'<br />- when you want to get rid of duplicities in the result ('column')",
    12 => "SHOW FULL COLUMNS FROM table LIKE 'column' - show detailed information (and privileges) about column",
    13 => "SHOW STATUS LIKE 'uptime' - show mysql server uptime",
	14 => "SELECT name,surname,age FROM table ORDER BY 2<br />- the sequence number instead of the name of the column can be used in the ORDER BY section",
	15 => "SELECT name,surname,age FROM table ORDER BY surname DESC<br />- the result can sorted in descending order too",
	16 => "SELECT sur_name AS Surname ...<br />- you can explicitly name the column in the result ",
	17 => "select YEAR(CURRENT_DATE)<br />-current year, MONTH can be used too",
	18 => "SELECT * FROM users WHERE name LIKE \"bo%\"<br />- returns all the records, where name begins with 'bo'",
	19 => "SELECT * FROM users WHERE name REGEXP \"^a\"<br />- also regular terms can be used. This one retutns all the records starting with 'a'",
	20 => "SELECT count(*) from users<br />- returns the number of records in the table users",
	21 => "SELECT min(age) from users<br />- returns minimum value in the age column in the table users. Try also the max(), avg(), sum()",
	22 => "SELECT t1.name from long_table_name as t1<br />- even the table can be given the symbolic name (useful with more tables in one query)",
	23 => "SELECT * from table limit 10,5<br />- returns only the 5 records, starting with record no. 10",
	24 => "SELECT * from table LIMIT 5<br />- is the same as LIMIT 0,5",
	25 => "select 1+1 #comment<br />- following the # is the comment (instead of # the combimation of -- can be used)",
	26 => "SELECT 1 + /* comment in query */ 1<br />- is the comment in the query (it can even spread over several lines)",
	27 => "SELECT * FROM table where id in (id1,id2,id3,....idx)<br />- in () is the id set, used for the select",
	28 => "SELECT * FROM table where age between 20 and 30<br />- selects all the records, where the age is between 20 and 30",
	29 => "SELECT HEX(255)<br />- mysql can also convert the numbers into various number systems (bin,oct,...)",
	30 => "SELECT LEFT('my name is Petr', 11)<br />- returns the string 'my name is '. Try also right a mid functions.",
	31 => "SELECT SEC_TO_TIME(3601)<br />- returns 01:00:01. Time_to_sec function is also available",
	32 => "SELECT LAST_INSERT_ID()<br />- returns autoincrement id of the last record inserted",
	33 => "ALTER TABLE tab1 ADD col1 t1<br />- adds column col1 of type t1 into the table tab1",
	34 => "ALTER TABLE tab1 MODIFY col1 t2<br />- changes data type of the col1 column in the tab1 table",
	35 => "RENAME TABLE old_name TO new_name<br />- renames the table",
	36 => "SHOW TABLE STATUS LIKE 'table_name'<br />- shows interesting information on the table "
);

?>